/*
 * @Author: yuananting
 * @Date: 2021-03-11 11:34:37
 * @LastEditors: yuananting
 * @LastEditTime: 2021-03-16 15:12:09
 * @Description: 描述一下咯
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import { queryCategoryTree, addCategory, delCategory, editCategory, editCategoryTree, queryQuestionCategoryTree, addQuestion, queryQuestionPageList, deleteQuestion, queryQuestionDetails, editQuestion, batchImport } from '@/data-source/questionBank/request-apis';
export default class QuestionBankService {
  // 获取题目分类树 
  static queryCategoryTree(params: any) {
    return queryCategoryTree(params);
  }

  // 新增题目分类
  static addCategory(params: any) {
    return addCategory(params);
  }

  // 删除分类
  static delCategory(params: any) {
    return delCategory(params);
  }

  // 编辑分类
  static editCategory(params: any) {
    return editCategory(params);
  }

  // 编辑分类树（拖拽）
  static editCategoryTree(params: any) {
    return editCategoryTree(params);
  }

  // 查询分类树列表
  static queryQuestionCategoryTree(params: any) {
    return queryQuestionCategoryTree(params);
  }

  // 查询题目列表
  static queryQuestionPageList(params: any) {
    return queryQuestionPageList(params);
  }

  // 添加题目
  static addQuestion(params: any) {
    return addQuestion(params);
  }

  // 删除题目
  static deleteQuestion(params: any) {
    return deleteQuestion(params);
  }

  // 预览题目
  static queryQuestionDetails(params: any) {
    return queryQuestionDetails(params);
  }

  // 编辑题目
  static editQuestion(params: any) {
    return editQuestion(params);
  }

  // 批量导入
  static batchImport(params: any) {
    return batchImport(params);
  }
}